UIDefaults.LazyInputMap (Java Platform SE 8 )
Keywords: javax.swing.UIDefaults.LazyInputMap class
Date: 2026-04-17

javax.swing

## Class UIDefaults.LazyInputMap

- java.lang.Object
- - javax.swing.UIDefaults.LazyInputMap

- All Implemented Interfaces:
    UIDefaults.LazyValue
  Enclosing class:
    UIDefaults

      public static class UIDefaults.LazyInputMap
      extends Object
      implements UIDefaults.LazyValue

  `LazyInputMap` will create a `InputMap` in its `createValue` method. The bindings are passed in in the constructor. The bindings are an array with the even number entries being string `KeyStrokes` (eg "alt SPACE") and the odd number entries being the value to use in the `InputMap` (and the key in the `ActionMap`).
  Since:
    1.3

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LazyInputMap(Object[] bindings)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `createValue(UIDefaults table)` Creates an `InputMap` with the bindings that are passed in.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LazyInputMap

          public LazyInputMap(Object[] bindings)

  - ### Method Detail

    - #### createValue

          public Object createValue(UIDefaults table)

      Creates an `InputMap` with the bindings that are passed in.
      Specified by:
        `createValue` in interface `UIDefaults.LazyValue`
      Parameters:
        `table` - a `UIDefaults` table
      Returns:
        the `InputMap`

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2026, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.